Bug 238849 - [exp-run] Convert all Go ports to USES=go
Summary: [exp-run] Convert all Go ports to USES=go
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-27 14:37 UTC by Dmitri Goutnik
Modified: 2019-06-29 12:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jlaffaye)
antoine: exp-run+


Attachments
patch file (50.92 KB, patch)
2019-06-27 14:37 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-06-27 14:37:11 UTC
Created attachment 205378 [details]
patch file

Add "no_targets" and "run" args to Mk/Uses/go.mk and convert remaining ~110 ports that use explicit BUILD_DEPENDS/RUN_DEPENDS on lang/go to USES=go.

Attached is a composite patch of the corresponding Phab reviews:

https://reviews.freebsd.org/D20735
https://reviews.freebsd.org/D20746
Comment 1 Antoine Brodin freebsd_committer 2019-06-28 12:57:06 UTC
Who is going to commit this if the exp-run is fine?
Comment 2 mikael.urankar 2019-06-28 13:48:36 UTC
(In reply to Antoine Brodin from comment #1)
What about giving him a ports bit?
Comment 3 Tobias Kortkamp freebsd_committer 2019-06-28 14:00:51 UTC
(In reply to Antoine Brodin from comment #1)
> Who is going to commit this if the exp-run is fine?

I will.
Comment 4 Antoine Brodin freebsd_committer 2019-06-28 19:31:52 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2019-06-29 03:52:25 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 29 03:51:28 UTC 2019
New revision: 505321
URL: https://svnweb.freebsd.org/changeset/ports/505321

Log:
  Convert all Go ports to USES=go

  This allows for port testing with lang/go-devel via GO_PORT, setting
  up the Go build environment in a single place, and is step one in
  simplifying Go ports that often define too complicated do-build
  targets themselves.

  USES=go gains new arguments 'run' to add lang/go to RUN_DEPENDS and
  'no_targets' for ports with composite builds that call 'go' themselves
  and do not need the do-build/do-install targets of USES=go.

  PR:		238849
  Submitted by:	dg@syrec.org (also D20745)
  Reviewed by:	mat, tobik
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D20746

Changes:
  head/Mk/Uses/go.mk
  head/databases/cayley/Makefile
  head/databases/cockroach/Makefile
  head/databases/go-carbon/Makefile
  head/databases/influxdb/Makefile
  head/databases/mongodb34-tools/Makefile
  head/databases/mongodb36-tools/Makefile
  head/databases/pgmetrics/Makefile
  head/databases/tile38/Makefile
  head/databases/usql/Makefile
  head/deskutils/chart/Makefile
  head/devel/arduino-builder/Makefile
  head/devel/arduinoOTA/Makefile
  head/devel/awless/Makefile
  head/devel/bloaty/Makefile
  head/devel/git-codereview/Makefile
  head/devel/git-town/Makefile
  head/devel/gitaly/Makefile
  head/devel/gitlab-runner/Makefile
  head/devel/gitlab-shell/Makefile
  head/devel/go-bindata/Makefile
  head/devel/go-protobuf/Makefile
  head/devel/go-tools/Makefile
  head/devel/gogs/Makefile
  head/devel/goprotobuf/Makefile
  head/devel/gpm/Makefile
  head/devel/grpc/Makefile
  head/devel/grumpy/Makefile
  head/devel/grv/Makefile
  head/devel/gvp/Makefile
  head/devel/jiri/Makefile
  head/devel/lab/Makefile
  head/devel/liteide/Makefile
  head/devel/loccount/Makefile
  head/devel/mage/Makefile
  head/devel/pprof/Makefile
  head/dns/amass/Makefile
  head/dns/knot-resolver/Makefile
  head/editors/micro/Makefile
  head/finance/fixc/Makefile
  head/misc/cryptoballot/Makefile
  head/misc/exercism/Makefile
  head/net/clash/Makefile
  head/net/geoipupdate/Makefile
  head/net/goreplay/Makefile
  head/net/grpcurl/Makefile
  head/net/nncp/Makefile
  head/net/nsq/Makefile
  head/net/syncthing/Makefile
  head/net/wireguard-go/Makefile
  head/net-im/coyim/Makefile
  head/net-im/matterbridge/Makefile
  head/net-im/matterircd/Makefile
  head/net-im/slack-term/Makefile
  head/net-im/ssh-chat/Makefile
  head/net-im/xmpp-client/Makefile
  head/net-mgmt/carbon-relay-ng/Makefile
  head/net-mgmt/carbonzipper/Makefile
  head/net-mgmt/intel-snap/Makefile
  head/net-mgmt/kapacitor/Makefile
  head/net-mgmt/telegraf/Makefile
  head/net-p2p/go-ethereum/Makefile
  head/print/cloud-print-connector/Makefile
  head/print/cloud-print-connector/distinfo
  head/science/molgif/Makefile
  head/security/2fa/Makefile
  head/security/acmetool/Makefile
  head/security/boringssl/Makefile
  head/security/govpn/Makefile
  head/security/honeybadger/Makefile
  head/security/meek/Makefile
  head/security/onionscan/Makefile
  head/security/teleport/Makefile
  head/security/vault/Makefile
  head/sysutils/amazon-ssm-agent/Makefile
  head/sysutils/circonus-agent/Makefile
  head/sysutils/consul/Makefile
  head/sysutils/consul-alerts/Makefile
  head/sysutils/consul-replicate/Makefile
  head/sysutils/consul_exporter/Makefile
  head/sysutils/direnv/Makefile
  head/sysutils/docker-freebsd/Makefile
  head/sysutils/envconsul/Makefile
  head/sysutils/epazote/Makefile
  head/sysutils/goawk/Makefile
  head/sysutils/gomplate/Makefile
  head/sysutils/goss/Makefile
  head/sysutils/gotop/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/log-courier/Makefile
  head/sysutils/logstash-forwarder/Makefile
  head/sysutils/nomad/Makefile
  head/sysutils/serf/Makefile
  head/sysutils/sockaddr/Makefile
  head/textproc/consul-template/Makefile
  head/textproc/spiff/Makefile
  head/www/carbonapi/Makefile
  head/www/gitlab-pages/Makefile
  head/www/gitlab-workhorse/Makefile
  head/www/go-appengine-sdk/Makefile
  head/www/gobuffalo/Makefile
  head/www/grafana2/Makefile
  head/www/grafana3/Makefile
  head/www/grafana4/Makefile
  head/www/grafana5/Makefile
  head/www/grafana6/Makefile
  head/www/kurly/Makefile
  head/www/mattermost-server/Makefile
  head/www/minio/Makefile
  head/www/minio-client/Makefile
  head/www/s/Makefile
  head/www/uchiwa/Makefile
  head/www/ytdl/Makefile
  head/x11/aminal/Makefile
Comment 6 Tobias Kortkamp freebsd_committer 2019-06-29 04:05:43 UTC
Committed. Thanks!
Comment 7 Dmitri Goutnik freebsd_committer 2019-06-29 12:45:10 UTC
(In reply to Tobias Kortkamp from comment #6)

Thank you for the commit!